cdac.medinfo.sdk.hl7282.baselibs.segments

## Class RQ1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.RQ1

- All Implemented Interfaces:
    ISegment

      public class RQ1
      extends Segment

  RQ1 - Requisition Detail-1 Segment.

  RQ1 contains additional detail for each nonstock requisitioned item.

  Represents an HL7 RQ1 message segment. This segment has the following fields:

  RQ1-1: Anticipated Price (ST)Optional
  RQ1-2: Manufacturer Identifier (CWE)Conditional
  RQ1-3: Manufacturer's Catalog (ST)Conditional
  RQ1-4: Vendor ID (CWE)Conditional
  RQ1-5: Vendor Catalog (ST)Conditional
  RQ1-6: Taxable (ID)Optional
  RQ1-7: Substitute Allowed (ID)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RQ1()` Constructs the RQ1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ST` | `getAnticipatedPrice()` Retrieves the Anticipated Price.
    `ST` | `getManufacturerCatalog()` Retrieves the Manufacturer Catalog.
    `CWE` | `getManufacturerIdentifier()` Retrieves the Manufacturer Identifier.
    `ID` | `getSubstituteAllowed()` Retrieves the Substitute Allowed.
    `ID` | `getTaxable()` Retrieves the Taxable.
    `ST` | `getVendorCatalog()` Retrieves the Vendor Catalog.
    `CWE` | `getVendorID()` Retrieves the Vendor ID.
    `void` | `setAnticipatedPrice(ST objanticipatedPrice)` Set the Anticipated Price.
    `void` | `setAnticipatedPrice(java.lang.String strAnticipatedPrice)` Set the Anticipated Price.
    `void` | `setManufacturerCatalog(ST objmanufacturerCatalog)` Set the Manufacturer Catalog.
    `void` | `setManufacturerCatalog(java.lang.String strManufacturerCatalog)` Set the Manufacturer Catalog.
    `void` | `setManufacturerIdentifier(CWE objmanufacturerIdentifier)` Set the Manufacturer Identifier.
    `void` | `setManufacturerIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Manufacturer Identifier.
    `void` | `setSubstituteAllowed(ID objsubstituteAllowed)` Set the Substitute Allowed.
    `void` | `setSubstituteAllowed(java.lang.String strSubstituteAllowed)` Set the Substitute Allowed.
    `void` | `setTaxable(ID objtaxable)` Set the Taxable.
    `void` | `setTaxable(java.lang.String strTaxable)` Set the Taxable.
    `void` | `setVendorCatalog(ST objvendorCatalog)` Set the Vendor Catalog.
    `void` | `setVendorCatalog(java.lang.String strVendorCatalog)` Set the Vendor Catalog.
    `void` | `setVendorID(CWE objvendorID)` Set the Vendor ID.
    `void` | `setVendorID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Vendor ID.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RQ1

          public RQ1()

      Constructs the RQ1 segment.

  - ### Method Detail

    - #### getAnticipatedPrice

          public ST getAnticipatedPrice()

      Retrieves the Anticipated Price. This field specify the reference price for the requisition unit of measure that is known to the requisition application.
      Returns:
        ST - anticipatedPrice

    - #### getManufacturerCatalog

          public ST getManufacturerCatalog()

      Retrieves the Manufacturer Catalog. This field specify the manufacturer's catalog number or code for this item.
      Returns:
        ST - manufacturerCatalog

    - #### getManufacturerIdentifier

          public CWE getManufacturerIdentifier()

      Retrieves the Manufacturer Identifier. This field specify the unique code that identifies the manufacturer on the application receiving the requisition.
      Returns:
        CWE - manufacturerIdentifier

    - #### getSubstituteAllowed

          public ID getSubstituteAllowed()

      Retrieves the Substitute Allowed. This field specify the field which indicates whether the ancillary department may substitute an equivalent version of the item(s) ordered or not.
      Returns:
        ID - substituteAllowed

    - #### getTaxable

          public ID getTaxable()

      Retrieves the Taxable. This field specify the field which indicates whether this item is subject to tax or not.
      Returns:
        ID - taxable

    - #### getVendorCatalog

          public ST getVendorCatalog()

      Retrieves the Vendor Catalog. This field specify the vendor's catalog number, name, or code for this item.
      Returns:
        ST - vendorCatalog

    - #### getVendorID

          public CWE getVendorID()

      Retrieves the Vendor ID. This field specify the unique code that identifies the vendor on the application receiving the requisition.
      Returns:
        CWE - vendorID

    - #### setAnticipatedPrice

          public void setAnticipatedPrice(java.lang.String strAnticipatedPrice)

      Set the Anticipated Price. This field specify the reference price for the requisition unit of measure that is known to the requisition application.
      Parameters:
        `strAnticipatedPrice` - Specifies Anticipated Price.

    - #### setAnticipatedPrice

          public void setAnticipatedPrice(ST objanticipatedPrice)

      Set the Anticipated Price. This field specify the reference price for the requisition unit of measure that is known to the requisition application.
      Parameters:
        `objanticipatedPrice` - Object of Anticipated Price.

    - #### setManufacturerCatalog

          public void setManufacturerCatalog(java.lang.String strManufacturerCatalog)

      Set the Manufacturer Catalog. This field specify the manufacturer's catalog number or code for this item.
      Parameters:
        `strManufacturerCatalog` - Specifies Manufacturer Catalog.

    - #### setManufacturerCatalog

          public void setManufacturerCatalog(ST objmanufacturerCatalog)

      Set the Manufacturer Catalog. This field specify the manufacturer's catalog number or code for this item.
      Parameters:
        `objmanufacturerCatalog` - Object of Manufacturer Catalog.

    - #### setManufacturerIdentifier

          public void setManufacturerIdentifier(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Manufacturer Identifier. This field specify the unique code that identifies the manufacturer on the application receiving the requisition.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setManufacturerIdentifier

          public void setManufacturerIdentifier(CWE objmanufacturerIdentifier)

      Set the Manufacturer Identifier. This field specify the unique code that identifies the manufacturer on the application receiving the requisition.
      Parameters:
        `objmanufacturerIdentifier` - Object of Manufacturer Identifier.

    - #### setSubstituteAllowed

          public void setSubstituteAllowed(java.lang.String strSubstituteAllowed)

      Set the Substitute Allowed. This field specify the field which indicates whether the ancillary department may substitute an equivalent version of the item(s) ordered or not.
      Parameters:
        `strSubstituteAllowed` - Specifies Substitute Allowed.

    - #### setSubstituteAllowed

          public void setSubstituteAllowed(ID objsubstituteAllowed)

      Set the Substitute Allowed. This field specify the field which indicates whether the ancillary department may substitute an equivalent version of the item(s) ordered or not.
      Parameters:
        `objsubstituteAllowed` - Object of Substitute Allowed.

    - #### setTaxable

          public void setTaxable(java.lang.String strTaxable)

      Set the Taxable. This field specify the field which indicates whether this item is subject to tax or not.
      Parameters:
        `strTaxable` - Specifies Taxable.

    - #### setTaxable

          public void setTaxable(ID objtaxable)

      Set the Taxable. This field specify the field which indicates whether this item is subject to tax or not.
      Parameters:
        `objtaxable` - Object of Taxable.

    - #### setVendorCatalog

          public void setVendorCatalog(java.lang.String strVendorCatalog)

      Set the Vendor Catalog. This field specify the vendor's catalog number, name, or code for this item.
      Parameters:
        `strVendorCatalog` - Specifies Vendor Catalog.

    - #### setVendorCatalog

          public void setVendorCatalog(ST objvendorCatalog)

      Set the Vendor Catalog. This field specify the vendor's catalog number, name, or code for this item.
      Parameters:
        `objvendorCatalog` - Object of Vendor Catalog.

    - #### setVendorID

          public void setVendorID(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Vendor ID. This field specify the unique code that identifies the vendor on the application receiving the requisition.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVendorID

          public void setVendorID(CWE objvendorID)

      Set the Vendor ID. This field specify the unique code that identifies the vendor on the application receiving the requisition.
      Parameters:
        `objvendorID` - Object of Vendor ID.

    - #### validate

          public boolean validate()

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.